Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::GLXConfigurator::RendererCallbackData Class Reference

List of all members.

## Public Methods

| RendererCallbackData (GLXConfigurator *parent, RenderSystem *renderer, Widget optionmenu)

## Public Attributes

GLXConfigurator * | parent
RenderSystem * | renderer
Widget | optionmenu

## Constructor & Destructor Documentation

Ogre::GLXConfigurator::RendererCallbackData::RendererCallbackData | ( | GLXConfigurator * | parent,
|  | RenderSystem * | renderer,
|  | Widget | optionmenu
| ) |

| Definition at line 114 of file OgreGLXConfig.cpp. References optionmenu, parent, and renderer.

## Member Data Documentation

Widget Ogre::GLXConfigurator::RendererCallbackData::optionmenu

| Definition at line 121 of file OgreGLXConfig.cpp. Referenced by RendererCallbackData(), and Ogre::GLXConfigurator::renderSystemHandler().

GLXConfigurator* Ogre::GLXConfigurator::RendererCallbackData::parent

| Definition at line 119 of file OgreGLXConfig.cpp. Referenced by RendererCallbackData(), and Ogre::GLXConfigurator::renderSystemHandler().

RenderSystem* Ogre::GLXConfigurator::RendererCallbackData::renderer

| Definition at line 120 of file OgreGLXConfig.cpp. Referenced by RendererCallbackData(), and Ogre::GLXConfigurator::renderSystemHandler().

The documentation for this class was generated from the following file:

- OgreGLXConfig.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:17 2004